--- title: "Retrieve class information by class training key" slug: "retrieve-class-information-by-class-training-key" updated: 2024-10-25T18:04:27Z published: 2026-02-10T22:32:35Z canonical: "docs.skillable.com/retrieve-class-information-by-class-training-key" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.skillable.com/llms.txt > Use this file to discover all available pages before exploring further. # Retrieve class information by class training key Get/GetClassByClassTrainingKey Allows you to get information about a class using the class training key. SecurityAPI Key: api_keyHeader parameter nameapi_key Query parametersclassTrainingKeystringRequired The training key ID of the class to retrieve ExampleE3G5YZFREFEQ9371 Responses200 OK Response Expand Allobject Statusinteger (int32) Indicates the status of the API request. 0 = Success 10 = Error 20 = Not found 30 = Invalid integration key Example10 Errorstring | null Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10). Results Array of object (Class) See Class object Idinteger (int32) The class's unique identifier Example56794 ExternalIdinteger (int32) The class's ExternalId identifier Namestring The class's name ExampleSample Class Name Descriptionstring | null The class's Description ExampleSample Description HtmlDescriptionstring | null The class's HTML Description Enabledboolean Gives the class's status Exampletrue ConfirmationStatusIdinteger (int32) Gives the class's ConfirmationStatusId Example5634 CourseIdinteger (int32) The class's course identifier Example5678 OrganizationIdinteger (int32) The class's organization identifier Example123 OrganizationNamestring The class's organization name ExampleSample Organization Id CompanyIdinteger (int32) | null The class's company identifier Example1235 DeliveryTypeIdinteger (int32) The class's delivery identifier Example34 VirtualMeetingHostIdinteger (int32) | null The class's virtual meeting host identifier Example14 VirtualMeetingIdstring | null The class's VirtualMeeting identifier CustomVirtualClassroomUrlstring | null The class's custom VirtualMeeting Url PrimaryInstructorIdinteger (int32) | null The class's primaryInstructor identifier PrimaryInstructorFirstNamestring | null The class's primary instructor first name PrimaryInstructorLastNamestring | null The class's primary instructor last name PrimaryClassroomIdinteger (int32) | null The class's primary classroom identifier Example4535 MaterialsListIdinteger (int32) | null The class's materials list identifier Example45 Startinteger (int64) When the class starts (in Unix epoch time). Example1320757200 Endinteger (int64) When the class ends (in Unix epoch time). Example1320757200 MinStudentsinteger (int32) The minimum number of students enrolled Example2 MaxStudentsinteger (int32) The maximum number of students enrolled Example5 AllowSelfEnrollmentboolean Distinguishes if self enrollment is allowed Examplefalse IsPublicboolean Distinguishes if the class is public Exampletrue EnableClassTrainingKeyboolean Distinguishes if the class allows registration via a class training key Exampletrue ClassTrainingKeystring | null The class training key (if enabled) that will allow for self registration in the class ExampleABC1234 DisableLabsboolean Distinguishes if the class is disabled Examplefalse EnableEnrollmentNotificationsboolean Distinguishes if enrollment notifications are enabled Exampletrue IsUniqueDeliveryboolean Distinguishes if unique delivery is enabled Examplefalse RecordingModeIdinteger (int32) The class's recording Mode identifier Example6743 CustomText1string CustomText1 ExampleSample custom text 1 CustomText2string CustomText2 ExampleSample custom text 2 CustomText3string | null CustomText3 CustomText4string | null CustomText4 CustomText5string | null CustomText5 CustomBool1boolean CustomBool1 Exampletrue CustomBool2boolean CustomBool2 Exampletrue CustomBool3boolean CustomBool3 Exampletrue CustomBool4boolean CustomBool4 Examplefalse CustomBool5boolean CustomBool5 Examplefalse CustomDropdown1string | null CustomDropdown1 CustomDropdown2string | null CustomDropdown2 SurveyIdinteger (int32) | null The class's survey identifier Example334523 StudentSurveyAvailabilityStartTypeIdinteger (int32) Identifies when Student survey is becomes available in relation to SurveyAvailabilityStartHours. 0 for hours before event ends; 1 for hours after event ends. Example55534 SurveyAvailabilityStartHoursinteger (int32) Number of hours after class end that the survey is available Example4 SurveyAvailabilityEndDaysinteger (int32) Number of days after class end that the survey is available Example30 InstructorSurveyIdinteger (int32) | null The class's survey identifier for instructors Example356 OrganizationSurveyIdinteger (int32) | null The class's survey identifier for organizations Example1034 OrganizationSurveyResponseIdinteger (int32) | null The class's survey response identifier for organizations ClassroomAddress1string | null Classroom address Example123 Sample Dr. ClassroomAddress2string | null Classroom address ClassroomCitystring | null Classroom address ExampleSample City ClassroomStatestring | null Classroom address ExampleFlorida ClassroomCountrystring | null Classroom address ExampleSample County ClassroomZipstring | null Classroom address Example12345 CustomFields Array of object (CustomField) See CustomField object Namestring The name of the custom field. ExampleMyCustomText TexValuestring The value of the custom field. ExampleWoohoo! SessionTimes Array of object (ClassSession) See SessionTimes object Startinteger (int64) When the class starts (in Unix epoch time). Example1320876000 Endinteger (int64) When the class ends (in Unix epoch time). Example1320876000